DefaultPersistEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultPersistEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractReassociateEventListener
          org.hibernate.event.internal.AbstractSaveEventListener
              org.hibernate.event.internal.DefaultPersistEventListener

All Implemented Interfaces:
  Serializable, PersistEventListener

Direct Known Subclasses:
  DefaultPersistOnFlushEventListener, EJB3PersistEventListener

    public class DefaultPersistEventListener

extends AbstractSaveEventListener
implements PersistEventListener

Defines the default create event listener used by hibernate for creating transient entities in response to generated create events.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.event.internal.AbstractSaveEventListener
`AbstractSaveEventListener.EntityState`

Constructor Summary
`DefaultPersistEventListener()`

Method Summary
`protected void` | `entityIsPersistent(PersistEvent event, Map createCache)`
`protected void` | `entityIsTransient(PersistEvent event, Map createCache)` Handle the given create event.
`protected Boolean` | `getAssumedUnsaved()`
`protected CascadingAction` | `getCascadeAction()`
`void` | `onPersist(PersistEvent event)` Handle the given create event.
`void` | `onPersist(PersistEvent event, Map createCache)` Handle the given create event.

Methods inherited from class org.hibernate.event.internal.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getEntityState, getLoggableName, getMergeMap, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.internal.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPersistEventListener

    public DefaultPersistEventListener()

Method Detail

### getCascadeAction

    protected CascadingAction getCascadeAction()

  Specified by:
    `getCascadeAction` in class `AbstractSaveEventListener`

### getAssumedUnsaved

    protected Boolean getAssumedUnsaved()

  Overrides:
    `getAssumedUnsaved` in class `AbstractSaveEventListener`

### onPersist

    public void onPersist(PersistEvent event)
                   throws HibernateException

  Handle the given create event.

  Specified by:
    `onPersist` in interface `PersistEventListener`
  Parameters:
    `event` - The create event to be handled.
  Throws:
    `HibernateException`

### onPersist

    public void onPersist(PersistEvent event,
                          Map createCache)
                   throws HibernateException

  Handle the given create event.

  Specified by:
    `onPersist` in interface `PersistEventListener`
  Parameters:
    `event` - The create event to be handled.
  Throws:
    `HibernateException`

### entityIsPersistent

    protected void entityIsPersistent(PersistEvent event,
                                      Map createCache)

### entityIsTransient

    protected void entityIsTransient(PersistEvent event,
                                     Map createCache)

  Handle the given create event.

  Parameters:
    `event` - The save event to be handled.
    `createCache` - The copy cache of entity instance to merge/copy instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.